# sc::SCElementAccumulateDiagSCMatrix Class Reference

Inheritance diagram for sc::SCElementAccumulateDiagSCMatrix:

List of all members.

## Public Member Functions
| SCElementAccumulateDiagSCMatrix (DiagSCMatrix *)
int | has_side_effects ()
| By default this returns nonzero.
void | process (SCMatrixBlockIter &)
| This is the fallback routine to process blocks and is called by process_spec members that are not overridden.

## Member Function Documentation

int sc::SCElementAccumulateDiagSCMatrix::has_side_effects | ( |  | ) | `[virtual]`

By default this returns nonzero.

If the ElementOp specialization will change any elements of the matrix, then this must be overridden to return nonzero.

Reimplemented from sc::SCElementOp.

void sc::SCElementAccumulateDiagSCMatrix::process | ( | SCMatrixBlockIter & |  | ) | `[virtual]`

This is the fallback routine to process blocks and is called by process_spec members that are not overridden.

Implements sc::SCElementOp.

The documentation for this class was generated from the following file:

- elemop.h